Name: hal-fstab-sync
Version: 0.0.1
Release: alt2.2.1

Summary: Update the /etc/fstab file in response to HAL events
License: GPL
Group: System/Servers
#Url: http://www.piware.de/projects.shtml

Source: %name-%version.tar
Source1: mount-subfs.tar

BuildPreReq: libhal-devel >= 0.5.7, libdbus-devel >= 0.61, libdbus-glib-devel >= 0.61, pkgconfig
Provides: fstab-sync = %version-%release
Conflicts: hal <= 0.5.7-alt4

# Automatically added by buildreq on Fri Jun 23 2006
BuildRequires: glib2-devel libhal-devel libpopt-devel linux-libc-headers pkg-config

%description
This program serves one major purpose: Update the  file  systems  table
file /etc/fstab and create/remove mount points in /media in response to
HAL events. This program is usually never run directly  from  a  shell;
instead it is invoked as a callout by the HAL daemon.

Sample configs for filesystem options in %_docdir/%name-%version.


%prep
%setup -q

%build
%configure
%make

%install
%make DESTDIR=%buildroot PREFIX=/usr install

%__cp %SOURCE1 %_builddir/%name-%version

%__mkdir_p %buildroot%_datadir/hal/scripts

# Make wrapper for fstab-sync to HAL
cat > %buildroot%_datadir/hal/scripts/fstab-sync << EOF
#!/bin/sh

exec %_sbindir/fstab-sync "\$@"
EOF
%__chmod 0755 %buildroot%_datadir/hal/scripts/fstab-sync

%__mkdir_p %buildroot%_sysconfdir/hal/fdi/policy
cp fdi/10-fstab-sync-mount-options-cp1251.fdi \
   %buildroot%_sysconfdir/hal/fdi/policy/10-fstab-sync-mount-options.fdi

%find_lang %name

%files -f %name.lang
%doc README COPYING AUTHORS ChangeLog NEWS TODO fdi/10-fstab-sync-mount-options-cp1251.fdi mount-subfs.tar
%ghost %config(missingok) %_sysconfdir/hal/fdi/policy/10-fstab-sync-mount-options.fdi
%_sbindir/fstab-sync
%_mandir/*/*
%_datadir/hal/scripts/fstab-sync
%config %_datadir/hal/fdi/policy/10osvendor/*.fdi


%changelog
* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.0.1-alt2.2.1
- NMU
- rebuild with new dbus

* Thu Jun 22 2006 Sergey A. Sukiyazov <corwin@altlinux.ru> 0.0.1-alt2.2
- renamed to hal-fstab-sync
- conflicts with hal <= 0.5.7-alt4

* Fri Jun 02 2006 Sergey A. Sukiyazov <corwin@altlinux.ru> 0.0.1-alt2
- first build for ALT Linux
